@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url("../css/banner.css");
@import url("../css/cursos.css");
@import url("../css/sobremi.css");
@import url("../css/galeria.css");
@import url("../css/contacto.css");
@import url("../css/login.css");
@import url("../css/admin.css");
@import url("../css/admin-consultas.css");
@import url("../css/add_galeria.css");
@import url("../css/newsletter.css");
@import url("../css/responder.css");
@import url("../css/basico.css");
@import url("../css/inscripcion.css");
@import url("../css/reservas.css");
@import url("../css/agenda.css");


*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a{
    text-decoration: none;
}

ul{
    list-style: none;
    padding: 0;
}

p{
    display: block;
}

html{
  scroll-behavior: smooth;
}

body{
  font-family: "Montserrat", sans-serif;
  color:#000;
}

.contenedor{
    width: 95%;
    margin: 0 auto;
}

main{
  margin-top: 80px;
  width: 100%;
  min-height: 100vh;
  margin-top: 80px;
}

img{
    display: block;
    width: 100%;
    height: 100%;
}
/***********************************HEADER**********************/

header{
    width: 100%;
    height: 80px;
    border-bottom: 5px solid #fa5d1d;
    background-color: #0b0b0b;
    color:#eee;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    z-index: 400;
}

.logo-menu{
    position: absolute;
    left: 30px;
    top: 10px;
    width: 200px;
    z-index: 100;
}

.menu{
    float: right;
    height: 75px;
}

.menu ul{
    display: flex;
}

header label,#boton-menu{
    float: right;
    font-size: 36px;
    cursor: pointer;
    display: none;

}

.menu a{
    display: block;
    color:#eee;
    padding:15px;
    height: 75px;
    line-height: 2.5;
    transition:all 0.5s;
}

.menu a:hover{
    transition:all 0.5s;
    background-color: #fa5d1d;
}

.activo{
    background-color: #fa5d1d;
}

.disable{
  background:none;
}

.tips{
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.cards{
    width: 25%;
    margin-top: 50px;
}

.cards img{
    width: 160px;
    margin: auto;
}

.titulo--cards{
    text-align: center;
    margin-bottom: 30px;
    font-size: 36px;
    color:#fa5d1d;
}

.descripcion--cards{
    margin-top: 30px;
    text-align: center;
}


footer{
  background-color: #000;
  border-top: 5px solid #fa5d1d;
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 240px;
  color:#eee;
}

footer .contenedor{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  height: 100%;
  font-size: 18px;
  padding: 50px;
}

footer .contenedor span{
  font-weight: bold;
  color: #fa5d1d;
}

footer .contenedor a{
  display: block;
  color:#eee;
  font-size: 18px;
  font-weight: 400;
}

footer .contenedor p{
  margin-bottom: 10px;
  text-align: center;
}

.wp{
  color:greenyellow;
}

.fb{
  color:rgb(17, 81, 133);
}

.ig img{
  color: #fa5d1d;
}

.links--paginacion{
    padding:10px;
    color:#eee;
    background-color: #fa5d1d;
    margin: 5px;
    border-radius: 5px;
    font-weight: 400;
    transition:all 0.5s;  
    font-size: 22px;  
}

.links--paginacion:hover{
    transition:all 0.5s;
    background-color: #b63a09;
}

.links--paginacion--desactivo{
    padding:10px;
    color:#eee;
    background-color: #393939;
    margin: 5px;
    border-radius: 5px;
    font-weight: 400;
    transition:all 0.5s;  
    font-size: 22px;  
}

@media(min-width:820px) AND (max-width:1200px){
     .titulo--cards{
        font-size: 28px;
    }
}

.error-nombre,.error-correo,.error-telefono{
    display: none;
}

.error-form-consultas-nombre,.error-form-consultas-apellido,.error-form-consultas-correo,.error-form-consultas-telefono,.error-form-consultas-consulta{
    display: none;
}

.valido--newsletter{
    display: block;
    border:1px solid red;
    padding: 10px;
    margin-bottom: 5px;
    background-color: red;
    border-radius: 5px;
    color:#000;
    font-weight: bold;
}

.valido--consulta{
    border:1px solid red;
    padding: 10px;
    margin-bottom: 5px;
    background-color: red;
    border-radius: 5px;
    display: block;
}

.correcto{
    background-color: rgb(107, 186, 107);    
    text-align: center;
    margin-top: 5px;
    padding: 5px;
    border-radius: 10px;
    color:rgb(0, 22, 0);
    border:1px solid rgb(0,22,0);
    font-weight: 600;
}

.correcto span{
    font-weight: bold;
    color:#ff0000;
}

.error_up{
    background-color: rgb(196, 74, 74);    
    text-align: center;
    margin-top: 5px;
    padding: 5px;
    border-radius: 10px;
    color:rgb(45, 1, 1);
    border:1px solid rgb(45,1,1);
    font-weight: 600;
}

.error_up span{
    font-weight: bold;
    color:#eee;
}


.alert-ok{
    background-color: #a7cfbe;
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 10px;
    padding: 10px;
    border:1px solid rgb(61, 101, 77);
    color:rgb(61, 101, 77);
    font-weight: bold;
    position: relative;
    display: flex;
    align-items: center;
}

.alert-ok button{
    background-color: #a7cfbe;
    border:none;
    color:rgb(61, 101, 77);
    font-size: 22px;
    margin-right: 20px;
}

.alert-ok a{
    position: absolute;
    right: -8px;
    top: -8px;
    display: block;
    width: 25px;
    height: 25px;
    text-align: center;
    background-color: rgb(61, 101, 77);
    border-radius: 50%;
    color:#eee;
    border:1px solid rgb(41, 69, 52);
}

.alerta--consulta{
    width: 480px;
    margin: 0 auto;
}


@media(max-width:820px){

    .alerta--consulta{
        width: 300px;
        margin: 0 auto;
}
    
    .tips{
        flex-wrap: wrap;
    }

    .cards{
        width: 90%;
    }

    .titulo--cards{
        font-size: 32px;
    }

    .menu{
        position: absolute;
        top: 80px;
        right: -100%;
        height: 100vh;
        background: rgba(0,0,0,0.9);
        width: 190px;
        text-align: center;
        transition: all 0.5s;
    }

    .menu ul{
        display: block;
    }

    .menu a{
        border-bottom: 1px solid #fa5d1d;
        font-size: 18px;
        transition:all 0.5s;
        font-weight: 500;
    }

    .logo-menu{
        width: 100px;
    }

    header label{
        display: block;
    }

    #boton-menu:checked~.menu{
        right: 0;
        transition:all 0.5s;
    }
}
/************************************
color-naranja:rgba(250,93,29) #fa5d1d
color-gris oscuro:rgba(27,29,32)#1b1d20
color  gris-cards rgba(42,42,42)#2a2a2a
otro color gris rgba(25,25,25)#191917